Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 99830 - Support for weblogic 10
Support for weblogic 10
Status: VERIFIED FIXED
Product: serverplugins
Classification: Unclassified
Component: WebLogic
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Libor Kotouc
issues@serverplugins
plan60 nbide
:
Depends on:
Blocks: 89772
  Show dependency treegraph
 
Reported: 2007-04-03 15:08 UTC by Michal Mocnak
Modified: 2007-07-17 09:30 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
patch (9.31 KB, patch)
2007-04-03 15:18 UTC, Michal Mocnak
Details | Diff
patch 2 (9.65 KB, patch)
2007-04-03 15:59 UTC, Michal Mocnak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Mocnak 2007-04-03 15:08:38 UTC
Support for weblogic 10
Comment 1 Michal Mocnak 2007-04-03 15:18:12 UTC
Created attachment 40336 [details]
patch
Comment 2 Petr Jiricka 2007-04-03 15:37:21 UTC
Michal, thanks many times for the patch. 

One comment - shouldn't the SPEC_VERSIONS set be an instance variable, rather
than a static variable? You can have multiple weblogic installations, and each
can be a different version, supporting different levels of the spec. So I think
you need a per-server-instance setting, rather than a global one.
Comment 3 Michal Mocnak 2007-04-03 15:49:27 UTC
Definitely yes ;) ... i'll fix it quickly.
Comment 4 Michal Mocnak 2007-04-03 15:59:37 UTC
Created attachment 40342 [details]
patch 2
Comment 5 Petr Jiricka 2007-04-04 11:47:49 UTC
Adding to plan for NB 6.
Comment 6 Libor Kotouc 2007-04-18 10:31:34 UTC
Fixed.

Checking in src/org/netbeans/modules/j2ee/weblogic9/Bundle.properties;
/cvs/serverplugins/weblogic9/src/org/netbeans/modules/j2ee/weblogic9/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.10; previous revision: 1.9
done
Checking in src/org/netbeans/modules/j2ee/weblogic9/WLPluginProperties.java;
/cvs/serverplugins/weblogic9/src/org/netbeans/modules/j2ee/weblogic9/WLPluginProperties.java,v
 <--  WLPluginProperties.java
new revision: 1.8; previous revision: 1.7
done
Checking in src/org/netbeans/modules/j2ee/weblogic9/j2ee/WLJ2eePlatformFactory.java;
/cvs/serverplugins/weblogic9/src/org/netbeans/modules/j2ee/weblogic9/j2ee/WLJ2eePlatformFactory.java,v
 <--  WLJ2eePlatformFactory.java
new revision: 1.12; previous revision: 1.11
done
Checking in src/org/netbeans/modules/j2ee/weblogic9/resources/Bundle.properties;
/cvs/serverplugins/weblogic9/src/org/netbeans/modules/j2ee/weblogic9/resources/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.6; previous revision: 1.5
done
Comment 7 Michal Mocnak 2007-07-17 09:30:57 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo